/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The Balance model module.
 * @module model/Balance
 * @version 2021.12-dev21
 */
class Balance {
    /**
     * Constructs a new <code>Balance</code>.
     * @alias module:model/Balance
     * @param currency {String} 
     * @param free {Number} 
     * @param balance {Number} 
     * @param used {Number} 
     * @param estStake {Number} 
     * @param stake {String} 
     */
    constructor(currency, free, balance, used, estStake, stake) { 
        
        Balance.initialize(this, currency, free, balance, used, estStake, stake);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, currency, free, balance, used, estStake, stake) { 
        obj['currency'] = currency;
        obj['free'] = free;
        obj['balance'] = balance;
        obj['used'] = used;
        obj['est_stake'] = estStake;
        obj['stake'] = stake;
    }

    /**
     * Constructs a <code>Balance</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Balance} obj Optional instance to populate.
     * @return {module:model/Balance} The populated <code>Balance</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new Balance();

            if (data.hasOwnProperty('currency')) {
                obj['currency'] = ApiClient.convertToType(data['currency'], 'String');
            }
            if (data.hasOwnProperty('free')) {
                obj['free'] = ApiClient.convertToType(data['free'], 'Number');
            }
            if (data.hasOwnProperty('balance')) {
                obj['balance'] = ApiClient.convertToType(data['balance'], 'Number');
            }
            if (data.hasOwnProperty('used')) {
                obj['used'] = ApiClient.convertToType(data['used'], 'Number');
            }
            if (data.hasOwnProperty('est_stake')) {
                obj['est_stake'] = ApiClient.convertToType(data['est_stake'], 'Number');
            }
            if (data.hasOwnProperty('stake')) {
                obj['stake'] = ApiClient.convertToType(data['stake'], 'String');
            }
        }
        return obj;
    }


}

/**
 * @member {String} currency
 */
Balance.prototype['currency'] = undefined;

/**
 * @member {Number} free
 */
Balance.prototype['free'] = undefined;

/**
 * @member {Number} balance
 */
Balance.prototype['balance'] = undefined;

/**
 * @member {Number} used
 */
Balance.prototype['used'] = undefined;

/**
 * @member {Number} est_stake
 */
Balance.prototype['est_stake'] = undefined;

/**
 * @member {String} stake
 */
Balance.prototype['stake'] = undefined;






export default Balance;

